# Tarfile created using git
# git clone https://git.gitorious.org/thierryreding/xf86-video-opentegra.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{gittag} | bzip2 > ~/%{name}-%{version}-%{gittag}.tar.bz2
%global tarball xf86-video-opentegra
# %define gittag d3e7f33
%define tarfile %{tarbal}-%{version}.tar.xz
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir %{moduledir}/drivers

Summary:   Xorg X11 opentegra driver
Name:      xorg-x11-drv-opentegra
Version:   0.6.0
Release:   1%{?dist}
URL:       https://git.gitorious.org/thierryreding/xf86-video-opentegra.git
License:   MIT
Group:     User Interface/X Hardware Support

Source0:   http://people.freedesktop.org/~tagr/%{tarball}-%{version}.tar.xz
Source1:   00-opentegra.conf

ExclusiveArch: %{arm}

BuildRequires: kernel-headers
BuildRequires: libdrm-devel
BuildRequires: libudev-devel
BuildRequires: libXrandr-devel 
BuildRequires: xorg-x11-server-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool

Requires:  xorg-x11-server-Xorg

%description 
X.Org X11 tegradrm driver for Nvidia Tegra2 GPUs.

%prep
%setup -q -n %{tarball}-%{version}

%build
%configure --disable-static  --libdir=%{_libdir} --mandir=%{_mandir}
make V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/X11/xorg.conf.d/

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%files
%doc README COPYING
%{driverdir}/*_drv.so
%{_mandir}/man4/*
%{_datadir}/X11/xorg.conf.d/*

%changelog
* Wed Apr 24 2013 Jiri Kastner <jkastner@fedoraproject.org> 0.6.0-1
- Initial package
